Update Named Credential

Update Named Credential
Update the namedCredential.

Update the given namedCredential.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/namedCredentials/{id}
COPY
Path Parameters
string
id
Required

id of the namedCredential


Request Body
NamedCredential of type(s) application/json
Optional

Show optional properties

{
    "name": "string",
    "entity": {},
    "username": "string",
    "password": "string"
}
{
    "id": "urn:vcloud:namedCredential:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "string",
    "org": {
        "name": "string",
        "id": "string"
    },
    "entity": {
        "name": "string",
        "id": "string"
    },
    "username": "string",
    "password": "string",
    "behavior": {
        "name": "string",
        "id": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns NamedCredential of type(s) */*;version=9.1.0
{
    "id": "urn:vcloud:namedCredential:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "string",
    "org": {
        "name": "string",
        "id": "string"
    },
    "entity": {
        "name": "string",
        "id": "string"
    },
    "username": "string",
    "password": "string",
    "behavior": {
        "name": "string",
        "id": "string"
    }
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"entity":"object","name":"string","password":"string","username":"string"}' https://{api_host}/cloudapi/1.0.0/namedCredentials/{id}